[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.CombineRgn

Combines two regions.

## Declaration

Source position: winapih.inc line 47

`public function TWidgetSet.CombineRgn(`
`Dest: HRGN;`
`Src1: HRGN;`
`Src2: HRGN;`
`fnCombineMode: LongInt`
`):LongInt; virtual;`

## Arguments

`Dest` |  | The Handle of the destination region. This region must already exist!
`Src1` |  | The handle of a region to combine.
`Src2` |  | The handle of a region to combine.
`fnCombineMode` |  | How the regions are combined.

## Function result

The Destination's Region type, or ERROR (0).

## Description

The Destination must already be initialized. The Return value is the Region type for the Destination, or ERROR (0).

fnCombineMode can be one of:

RGN_AND
  Gets a region of all points which are in both source regions.
RGN_COPY
  Gets an exact copy of the first source region.
RGN_DIFF
  Gets a region of all points which are in the first source region but not in the second.(Src1 - Src2).
RGN_OR
  Gets a region of all points which are in either the first source region or in the second.(Src1 + Src2).
RGN_XOR
  Gets all points which are in either the first Source Region or in the second, but not in both.